Bug 429081 - Review Request: perl-DateTime-Format-Oracle - Parse and format Oracle dates and timestamps
Review Request: perl-DateTime-Format-Oracle - Parse and format Oracle dates a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DateTime-...
:
: 1155268 (view as bug list)
Depends On: 429080 430352
Blocks: perl-DBIx-Class
  Show dependency treegraph
 
Reported: 2008-01-17 01:02 EST by Chris Weyl
Modified: 2014-11-12 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version: perl-DateTime-Format-Oracle-0.06-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 21:19:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-01-17 01:02:59 EST
SRPM URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-Oracle-0.03-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-Oracle.spec

Description:
This module may be used to convert Oracle date and timestamp values into
DateTime objects. It also can take a DateTime object and produce a date
string matching the NLS_DATE_FORMAT.
Comment 1 Parag AN(पराग) 2008-01-17 22:53:05 EST
koji build failed
http://koji.fedoraproject.org/koji/getfile?taskID=355995&name=build.log
Comment 2 Parag AN(पराग) 2008-01-20 23:52:58 EST
any update?
Comment 3 Parag AN(पराग) 2008-01-29 01:38:59 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
672f1496bacf11660fa4001d7ef8cce2  DateTime-Format-Oracle-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
t/defaults...........ok
t/format_datetime....ok
t/parse_datetime.....ok
All tests successful.
Files=3, Tests=35,  1 wallclock secs ( 0.82 cusr +  0.05 csys =  0.87 CPU)
+ Package perl-DateTime-Format-Oracle-0.03-1.fc9 =>
  Provides: perl(DateTime::Format::Oracle) = 0.03
  Requires: perl(Carp) perl(Convert::NLS_DATE_FORMAT) perl(DateTime)
perl(DateTime::Format::Builder) perl(strict)

APPROVED.
Comment 4 Chris Weyl 2008-01-31 18:12:40 EST
New Package CVS Request
=======================
Package Name: perl-DateTime-Format-Oracle
Short Description: Parse and format Oracle dates and timestamps
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-01-31 21:25:06 EST
cvs done.
Comment 6 Chris Weyl 2008-02-01 21:19:21 EST
Imported and built for rawhide; the rest following :)

Thanks for the review!
Comment 7 Petr Šabata 2012-08-10 09:32:47 EDT
Package Change Request
======================
Package Name: perl-DateTime-Format-Oracle
New Branches: el6
Owners: psabata
InitialCC: perl-sig
Comment 8 Jon Ciesla 2012-08-10 09:38:00 EDT
Git done (by process-git-requests).
Comment 9 Petr Pisar 2014-10-22 09:46:20 EDT
*** Bug 1155268 has been marked as a duplicate of this bug. ***
Comment 10 Petr Pisar 2014-10-22 09:48:22 EDT
Package Change Request
======================
Package Name: perl-DateTime-Format-Oracle
New Branches: epel7
Owners: wfp
InitialCC: perl-sig
Comment 11 Petr Pisar 2014-10-22 09:50:04 EDT
wfp requsted the branch for himself in bug #1155268.
Comment 12 Jon Ciesla 2014-10-22 09:52:04 EDT
Comments from primary maintainers?
Comment 13 Petr Pisar 2014-10-22 09:56:38 EDT
Primary maintainer is out of order now (vacation). I thought that anybody with approveacls permission is equaled to the primary contact. But nevertheless, I hope wfp can wait till Friday.
Comment 14 Bill Pemberton 2014-10-22 10:17:41 EDT
I don't mind waiting.  The Fedora 20 packages builds fine for epel7 so I'm using that for now.
Comment 15 Petr Šabata 2014-10-24 09:24:01 EDT
I agree with Petr.  It shouldn't matter which maintainer acks the change.

Anyhow, I'm fine with it.
Comment 16 Jon Ciesla 2014-10-24 09:39:00 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-10-24 13:08:35 EDT
perl-DateTime-Format-Oracle-0.06-8.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-Oracle-0.06-8.el7
Comment 18 Fedora Update System 2014-11-12 18:16:04 EST
perl-DateTime-Format-Oracle-0.06-8.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.